import axios from '@/libs/axios.js'
// 点检配置列表查询
export const getCheckTaskConfigList = params => {
  return axios.request({
    url: `checkTaskConfig/query/${params.pageNo}/${params.pageSize}`,
    method: 'post',
	data: params
  })
}
// 点检配置删除
export const delCheckTaskConfig = params => {
  return axios.request({
    url: `checkTaskConfig/delete/${params.id}`,
    method: 'get'
  })
}
// 点检配置启禁用
export const enableCheckTaskConfig = params => {
  return axios.request({
    url: `checkTaskConfig/enable/${params.id}/${params.flag}`,
    method: 'get'
  })
}
// 点检配置详情
export const getCheckTaskConfig = params => {
  return axios.request({
    url: `checkTaskConfig/find/${params.id}`,
    method: 'get'
  })
}
// 保存点检配置
export const saveBackLog = params => {
  return axios.request({
    url: `checkTaskConfig/save`,
    method: 'post',
	data: params
  })
}